import Vue from 'vue'
import Vuex from 'vuex'
import cloneDeep from 'lodash/cloneDeep'
import common from './modules/common'
import user from './modules/user'
import http from '../utils/httpRequest'

Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
    common,
    user
  },
  state: {
    manList: []
  },
  mutations: {
    // 重置vuex本地储存状态
    resetStore (state) {
      Object.keys(state).forEach((key) => {
        state[key] = cloneDeep(window.SITE_CONFIG['storeState'][key])
      })
    }
  },
  actions: {
    getManList (content) {
      http({
        url: http.adornUrl('/management/employee/findAll'),
        method: 'get'
      }).then(res => {
        console.log(res);
      })
    }
  },
  strict: process.env.NODE_ENV !== 'production'
})
